QGIS Application - Bug report #20321

Scale Bar decoration is not displayed - 3.4 - macOS

2018-11-01 07:41 PM - Ugo Santana

Status: Closed

Priority: Normal
Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.0
Operating System: macOS
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 28142

Description

Hi guys

Even if | enable the Scale Bar decoration on it's dialog, the scale bar is not displayed on the map view.

(go to menu View>Decorations>Scale bar...; Enable it)

Associated revisions

Revision 1fbcab9e - 2018-11-03 03:04 AM - Denis Rouzaud

fix device size in decoration item

the size should take the device pixel ration into account

fixes #20321

Revision 8d91a6ee - 2018-11-03 08:03 PM - Denis Rouzaud

fix device size in decoration item

the size should take the device pixel ration into account

fixes #20321

History

#1 - 2018-11-01 09:21 PM - Giovanni Manghi
- Priority changed from High to Normal
- Category changed from Decorations to mac_os_specific

#2 -2018-11-01 11:12 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you check if it works at "top left" position? Are you on a retina display?

#3 - 2018-11-01 11:37 PM - Ugo Santana

Nyall Dawson wrote:

2024-04-25

1/3




Can you check if it works at "top left" position? Are you on a retina display?

Haha! Top left works! A bit too big though...

But top right don't work... Yes, I'm using a retina display... So, do you think it's hidden outside of the screen?

#4 - 2018-11-02 03:32 AM - Nyall Dawson
- Assignee set to Denis Rouzaud

Denis this is probably related to your canvas work -- i suspect the x/y/ position of the decorations is being doubled here

#5 - 2018-11-02 03:32 AM - Nyall Dawson
- Assignee deleted (Denis Rouzaud)

#6 - 2018-11-03 03:04 AM - Denis Rouzaud

PR https://github.com/qgis/QGIS/pull/8406

#7 - 2018-11-03 08:00 PM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|1fbcab9edccd45e71418282cb061ca94d86dd0d2.

#8 - 2018-11-03 09:44 PM - Ugo Santana

Denis Rouzaud wrote:

Applied in changeset commit:qgis|1fbcab9edccd45e71418282cb061ca94d86dd0d2.

Great! Thanks!

#9 - 2018-11-09 12:09 PM - Ugo Santana

Denis Rouzaud wrote:

Applied in changeset commit:qqgis|1fbcab9edccd45e71418282cb061ca94d86dd0d2.

Hi Denis!

I've installed 3.4.1 and the bug is still here... Do you know why?

Thanks for any info
https://github.com/qgis/QGIS/pull/8406

#10 - 2018-11-13 07:36 AM - Denis Rouzaud

How did you install QGIS?

Do you have an custom Qt parameter for HiDPI left over?

#11 - 2018-11-13 07:37 AM - Denis Rouzaud

- Status changed from Closed to Feedback

#12 - 2018-11-13 10:22 AM - Ugo Santana

Denis Rouzaud wrote:

How did you install QGIS?

Do you have an custom Qt parameter for HiDPI left over?

Hi Denis, | always install QGIS through the DMG package on the QGIS.org website.

I've never installed QT, nor changed any parameter on QGIS.

#13 - 2018-11-25 12:43 PM - Ugo Santana

Hi Denis!

I installed 3.4.2 and it's fine now! Decorations working properly!

Thanks!

#14 - 2018-11-25 05:16 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

scale bar.png 595 KB 2018-11-01
